import { Address, ContractState, TestContractResult, HexString, ContractFactory, SubscribeOptions, EventSubscription, TestContractParams, ContractCreatedEvent, ContractDestroyedEvent, ContractInstance } from "@alephium/web3";
export declare namespace UnexecutedSequenceTypes {
    type Fields = {
        parentId: HexString;
        begin: bigint;
        sequences: bigint;
    };
    type State = ContractState<Fields>;
}
declare class Factory extends ContractFactory<UnexecutedSequenceInstance, UnexecutedSequenceTypes.Fields> {
    at(address: string): UnexecutedSequenceInstance;
    testCheckSequenceMethod(params: TestContractParams<UnexecutedSequenceTypes.Fields, {
        seq: bigint;
        refundAddress: HexString;
    }>): Promise<TestContractResult<null>>;
    testDestroyMethod(params: TestContractParams<UnexecutedSequenceTypes.Fields, {
        refundAddress: HexString;
    }>): Promise<TestContractResult<null>>;
}
export declare const UnexecutedSequence: Factory;
export declare class UnexecutedSequenceInstance extends ContractInstance {
    constructor(address: Address);
    fetchState(): Promise<UnexecutedSequenceTypes.State>;
    subscribeContractCreatedEvent(options: SubscribeOptions<ContractCreatedEvent>, fromCount?: number): EventSubscription;
    subscribeContractDestroyedEvent(options: SubscribeOptions<ContractDestroyedEvent>, fromCount?: number): EventSubscription;
    subscribeAllEvents(options: SubscribeOptions<ContractCreatedEvent | ContractDestroyedEvent>, fromCount?: number): EventSubscription;
}
export {};
